# collada.primitive.Primitive

class collada.primitive.Primitive

  Base class for all primitive sets like TriangleSet, LineSet, Polylist, etc.

  __init__()

  Methods

  `__init__`() |
  `bind`(matrix, materialnodebysymbol) | Binds this primitive to a transform matrix and material mapping.
  `getInputList`() | Gets a `collada.source.InputList` representing the inputs from a primitive
  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  Attributes

  `normal` | Read-only numpy.array of size Nx3 where N is the number of normal values in the primitive's normal source array.
  `normal_index` | Read-only numpy.array of size Nx3 where N is the number of vertices in the primitive.
  `texbinormal_indexset` | Read-only tuple of texture binormal index arrays.
  `texbinormalset` | Read-only tuple of texture binormal arrays.
  `texcoord_indexset` | Read-only tuple of texture coordinate index arrays.
  `texcoordset` | Read-only tuple of texture coordinate arrays.
  `textangent_indexset` | Read-only tuple of texture tangent index arrays.
  `textangentset` | Read-only tuple of texture tangent arrays.
  `vertex` | Read-only numpy.array of size Nx3 where N is the number of vertex points in the primitive's vertex source array.
  `vertex_index` | Read-only numpy.array of size Nx3 where N is the number of vertices in the primitive.
  `xmlnode` | ElementTree representation of the data.